package com.sf.vertx.constans;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

import io.vertx.core.json.JsonObject;

public class SacErrorCode {
	public static final Integer DEFAULT_ERROR_CODE = 10000;
	public final static Map<Integer, String> _ERROR = new HashMap<>();
	static {
		_ERROR.put(400, "Bad Request");
		_ERROR.put(401, "Unauthorized");
		_ERROR.put(403, "Forbidden");
		_ERROR.put(404, "Not Found");
		_ERROR.put(413, "Request Entity Too Large");
		_ERROR.put(415, "Unsupported Media Type");
		_ERROR.put(500, "Internal Server Error");
		_ERROR.put(502, "Bad Gateway");
		_ERROR.put(503, "Service Unavailable");
		_ERROR.put(504, "Gateway Timeout");
		_ERROR.put(504, "Gateway Timeout");
		_ERROR.put(10000, "服务请求失败,请稍后再试"); // 默认错误提示
		_ERROR.put(10001, "应用禁止访问,请联系管理员");
		_ERROR.put(10010, "无法找到路由地址");
		_ERROR.put(10011, "无法找到匹配的加解密算法");
		_ERROR.put(10012, "参数传递错误");
		_ERROR.put(10013, "无法匹配加解密、熔断代理模式");
		_ERROR.put(10014, "反向代理执行错误");
		_ERROR.put(10015, "请求url被限流");
		_ERROR.put(10016, "请求url被熔断");
		_ERROR.put(10017, "应用请求url被限流");
		_ERROR.put(10018, "apiCode与uri不匹配");
		_ERROR.put(10019, "请求不支持conetnt-type类型");
	};
	
	public static JsonObject returnErrorMsg(Integer errorCode) {
		JsonObject json = new JsonObject();
		String msg = _ERROR.get(errorCode);
		if(StringUtils.isBlank(msg)) {
			// default
			json.put("code", DEFAULT_ERROR_CODE);
			json.put("msg", _ERROR.get(DEFAULT_ERROR_CODE));
		} else {
			json.put("code", errorCode);
			json.put("msg", msg);
		}
		return json;
	}
}
