package com.sf.vertx.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson2.JSONObject;
import com.sf.vertx.api.pojo.AppConfig;
import com.sf.vertx.api.pojo.VertxConfig;
import com.sf.vertx.service.AppConfigService;

import io.vertx.core.json.JsonObject;
import lombok.extern.slf4j.Slf4j;

/***
 * 测试redis
 * 
 * @author xy
 *
 */
@RestController
@RequestMapping("/vertx")
public class AppConfigController {
	@Autowired
	private AppConfigService appConfigService;
	
	@PostMapping("/app/config")
	public JSONObject addAppConfig(@RequestBody AppConfig appConfig) {
		appConfigService.saveAppConfig(appConfig);
		JSONObject json = new JSONObject();
		json.put("code", 200);
		json.put("msg", "success");
		return json;
	}
	
	@DeleteMapping("/app/config")
	public JSONObject deleteAppConfig(@RequestBody AppConfig appConfig) {
		appConfigService.deleteAppConfig(appConfig);
		JSONObject json = new JSONObject();
		json.put("code", 200);
		json.put("msg", "success");
		return json;
	}
	
	
	@PostMapping("/vertx/config")
	public JSONObject saveVertxConfig(@RequestBody VertxConfig vertxConfig) {
		appConfigService.saveVertxConfig(vertxConfig);
		JSONObject json = new JSONObject();
		json.put("code", 200);
		json.put("msg", "success");
		return json;
	}
	
	

}
